Name: xf4vnc
Version: 4.4
Release: alt0.1cvs20070120

Summary: Modular XF4VNC
License: GPL
Group: System/X11
Url: http://xf4vnc.sourceforge.net/modular.html

Packager: Vitaly Lipatov <lav@altlinux.ru>

Source: %name-%version.tar.bz2

# manually removed: rpm-build-mono 
# Automatically added by buildreq on Sat Jan 20 2007 (-bi)
BuildRequires: flex gcc-c++ ghostscript-utils libdmx-devel libdrm-devel libjpeg-devel libmesa-devel libncurses-devel libXaw-devel libXfont-devel libXi-devel libxkbui-devel libXrender-devel libXres-devel libXtst-devel libXxf86misc-devel libXxf86vm-devel mkfontdir python-modules-compiler python-modules-encodings xorg-x11-sdk
BuildRequires: rpm-build-compat xorg-x11-util-macros

%description
There are modules for the VNC-enabled X server(s)
and the VNC and Xcliplist libraries.

%prep
%setup -q

%install
export DEST=%prefix

# The VNC extension protocol and headers
cd src/proto/vncproto
%__autoreconf
%configure
%make_build install DESTDIR=%buildroot

# The XCliplist extension protocol and headers
cd ../xcliplistproto
%__autoreconf
%configure
%make_build install DESTDIR=%buildroot

export PKG_CONFIG_PATH=%buildroot%_pkgconfigdir:%_pkgconfigdir
#export ACLOCAL="aclocal -I %buildroot%_aclocaldir"
%__subst "s|/usr/include|%buildroot%_includedir|g" %buildroot%_pkgconfigdir/*.pc

# The VNC client-side library (libVncExt.so)
cd ../../lib/libvnc
%__autoreconf
%configure --includedir=%buildroot%_includedir
%make_build install DESTDIR=%buildroot

# The XCliplist client-side library (libXcliplist.so)
cd ../../lib/libXcliplist
%__autoreconf
%configure --includedir=%buildroot%_includedir
%make_build install DESTDIR=%buildroot

# The XF4VNC xserver tree
cd ../../xserver
#__subst "s| doc||g" hw/dmx/Makefile.am
#__subst "s|.*/doc/.*||g" configure.ac
%__autoreconf
%configure --includedir=%buildroot%_includedir --enable-builddocs
%make_build install DESTDIR=%buildroot

rm -rf %buildroot%_libdir/X11/
mv %buildroot%_libdir/xorg %buildroot%_libdir/X11
rm -rf %buildroot/tmp/ %buildroot%_bindir/

%post -p %post_ldconfig

%postun -p %post_ldconfig

%files
#%_sysconfdir/X11/app-defaults/*
#%_bindir/*
%_libdir/X11/modules/extensions/libvnc.so
%_libdir/X11/modules/extensions/libxcliplist.so
%_libdir/libVncExt.so.*
%_libdir/libXcliplist.so.*
#%_man1dir/*
#%doc NEWS README TODO THANKS

%changelog
* Sat Jan 20 2007 Vitaly Lipatov <lav@altlinux.ru> 4.4-alt0.1cvs20070120
- initial build for ALT Linux Sisyphus
